Manifest-Version: 1.0
Bnd-LastModified: 1724381331395
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Journal Web
Bundle-SymbolicName: com.liferay.journal.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.99.hotfix-5795-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.announcements.kernel.model;version="4.0",com.liferay.application.l
 ist;version="3.0",com.liferay.asset.auto.tagger.configuration;version
 ="1.1",com.liferay.asset.display.page.item.selector.criterion;version
 ="1.0",com.liferay.asset.display.page.portlet;version="4.3",com.lifer
 ay.asset.display.page.service;version="2.7",com.liferay.asset.display
 .page.util;version="2.0",com.liferay.asset.info.display.url.provider;
 version="2.0",com.liferay.asset.info.item.provider;version="1.1",com.
 liferay.asset.kernel;version="2.0",com.liferay.asset.kernel.action;ve
 rsion="1.1",com.liferay.asset.kernel.exception;version="2.3",com.life
 ray.asset.kernel.model;version="9.0",com.liferay.asset.kernel.service
 ;version="7.3",com.liferay.asset.kernel.service.persistence;version="
 9.0",com.liferay.asset.util;version="3.0",com.liferay.change.tracking
 .spi.display;version="1.6",com.liferay.change.tracking.spi.display.co
 ntext;version="1.2",com.liferay.data.engine.content.type;version="1.5
 ",com.liferay.data.engine.field.type.util;version="1.2",com.liferay.d
 ata.engine.rest.dto.v2_0;version="5.1",com.liferay.data.engine.rest.r
 esource.exception;version="3.1",com.liferay.data.engine.rest.resource
 .v2_0;version="8.1",com.liferay.data.engine.taglib.servlet.taglib.def
 inition;version="1.5",com.liferay.depot.group.provider;version="1.0",
 com.liferay.depot.model;version="3.0",com.liferay.depot.service;versi
 on="1.9",com.liferay.depot.util;version="1.0",com.liferay.diff;versio
 n="1.0",com.liferay.diff.exception;version="1.0",com.liferay.document
 .library.kernel.document.conversion;version="1.0",com.liferay.documen
 t.library.kernel.exception;version="3.5",com.liferay.document.library
 .kernel.service;version="7.2",com.liferay.document.library.kernel.uti
 l;version="7.1",com.liferay.document.library.util;version="1.1",com.l
 iferay.dynamic.data.lists.model;version="3.0",com.liferay.dynamic.dat
 a.lists.service;version="2.5",com.liferay.dynamic.data.mapping.config
 uration;version="1.2",com.liferay.dynamic.data.mapping.exception;vers
 ion="2.7",com.liferay.dynamic.data.mapping.form.values.factory;versio
 n="1.0",com.liferay.dynamic.data.mapping.info.item.provider;version="
 1.1",com.liferay.dynamic.data.mapping.item.selector;version="1.1",com
 .liferay.dynamic.data.mapping.item.selector.criterion;version="1.1",c
 om.liferay.dynamic.data.mapping.kernel;version="3.0",com.liferay.dyna
 mic.data.mapping.model;version="6.1",com.liferay.dynamic.data.mapping
 .security.permission;version="1.0",com.liferay.dynamic.data.mapping.s
 ervice;version="3.12",com.liferay.dynamic.data.mapping.storage;versio
 n="1.9",com.liferay.dynamic.data.mapping.template;version="1.0",com.l
 iferay.dynamic.data.mapping.util;version="5.0",com.liferay.dynamic.da
 ta.mapping.util.comparator;version="2.2",com.liferay.dynamic.data.map
 ping.webdav;version="1.0",com.liferay.expando.info.item.provider;vers
 ion="1.0",com.liferay.expando.kernel.model;version="5.0",com.liferay.
 exportimport.changeset;version="1.2",com.liferay.exportimport.changes
 et.portlet.action;version="1.0",com.liferay.exportimport.kernel.excep
 tion;version="2.0",com.liferay.exportimport.kernel.lar;version="4.3",
 com.liferay.fragment.model;version="3.3",com.liferay.frontend.taglib.
 clay.servlet.taglib;version="7.0",com.liferay.frontend.taglib.clay.se
 rvlet.taglib.display.context;version="1.9",com.liferay.frontend.tagli
 b.clay.servlet.taglib.util;version="4.0",com.liferay.frontend.taglib.
 form.navigator;version="2.0",com.liferay.frontend.taglib.form.navigat
 or.constants;version="1.1",com.liferay.frontend.taglib.form.navigator
 .context;version="1.0",com.liferay.info.collection.provider;version="
 3.0",com.liferay.info.display.request.attributes.contributor;version=
 "1.0",com.liferay.info.display.url.provider;version="1.0",com.liferay
 .info.exception;version="2.4",com.liferay.info.field;version="3.3",co
 m.liferay.info.field.type;version="4.0",com.liferay.info.filter;versi
 on="2.0",com.liferay.info.form;version="2.1",com.liferay.info.item;ve
 rsion="4.1",com.liferay.info.item.capability;version="1.0",com.lifera
 y.info.item.field.reader;version="2.0",com.liferay.info.item.provider
 ;version="2.0",com.liferay.info.item.renderer;version="1.3",com.lifer
 ay.info.item.renderer.template;version="1.0",com.liferay.info.item.se
 lector;version="2.0",com.liferay.info.item.translator;version="1.0",c
 om.liferay.info.list.renderer;version="1.2",com.liferay.info.localize
 d;version="2.0",com.liferay.info.pagination;version="1.1",com.liferay
 .info.search;version="1.0",com.liferay.info.sort;version="1.0",com.li
 feray.info.taglib.list.renderer;version="1.0",com.liferay.info.taglib
 .servlet.taglib;version="1.2",com.liferay.info.type;version="1.3",com
 .liferay.item.selector;version="4.7",com.liferay.item.selector.criter
 ia;version="2.3",com.liferay.item.selector.criteria.info.item.criteri
 on;version="1.3",com.liferay.journal.configuration;version="7.1",com.
 liferay.journal.constants;version="3.0",com.liferay.journal.exception
 ;version="2.4",com.liferay.journal.model;version="9.2",com.liferay.jo
 urnal.service;version="7.1",com.liferay.journal.service.persistence;v
 ersion="7.1",com.liferay.journal.util;version="4.0",com.liferay.journ
 al.util.comparator;version="1.3",com.liferay.layout.display.page;vers
 ion="2.2",com.liferay.layout.model;version="2.1",com.liferay.layout.p
 age.template.info.item.capability;version="1.1",com.liferay.layout.pa
 ge.template.service;version="5.0",com.liferay.layout.seo.template,com
 .liferay.layout.service;version="1.5",com.liferay.layout.util;version
 ="4.1",com.liferay.message.boards.model;version="9.0",com.liferay.mes
 sage.boards.service;version="8.0",com.liferay.petra.function;version=
 "1.5",com.liferay.petra.reflect;version="1.5",com.liferay.petra.sql.d
 sl;version="1.1",com.liferay.petra.sql.dsl.base;version="1.0",com.lif
 eray.petra.sql.dsl.query;version="2.0",com.liferay.petra.string;versi
 on="1.7",com.liferay.portal.aop;version="1.0",com.liferay.portal.conf
 iguration.metatype.annotations;version="1.5",com.liferay.portal.confi
 guration.metatype.bnd.util;version="2.0",com.liferay.portal.configura
 tion.persistence.listener;version="1.1",com.liferay.portal.configurat
 ion.persistence.upgrade;version="1.0",com.liferay.portal.instance.lif
 ecycle;version="2.1",com.liferay.portal.kernel.annotation;version="7.
 0",com.liferay.portal.kernel.application.type;version="1.0",com.lifer
 ay.portal.kernel.bean;version="10.0",com.liferay.portal.kernel.cache.
 thread.local;version="2.0",com.liferay.portal.kernel.change.tracking;
 version="2.2",com.liferay.portal.kernel.cluster;version="8.0",com.lif
 eray.portal.kernel.dao.orm;version="12.0",com.liferay.portal.kernel.d
 ao.search;version="9.0",com.liferay.portal.kernel.editor.configuratio
 n;version="1.1",com.liferay.portal.kernel.exception;version="12.3",co
 m.liferay.portal.kernel.frontend.icons;version="3.0",com.liferay.port
 al.kernel.io.unsync;version="8.0",com.liferay.portal.kernel.json;vers
 ion="11.0",com.liferay.portal.kernel.jsonwebservice;version="9.0",com
 .liferay.portal.kernel.language;version="11.0",com.liferay.portal.ker
 nel.log;version="7.1",com.liferay.portal.kernel.messaging;version="11
 .1",com.liferay.portal.kernel.messaging.async;version="6.2",com.lifer
 ay.portal.kernel.mobile.device;version="9.0",com.liferay.portal.kerne
 l.model;version="24.0",com.liferay.portal.kernel.model.change.trackin
 g;version="3.0",com.liferay.portal.kernel.model.impl;version="7.0",co
 m.liferay.portal.kernel.model.portlet;version="2.0",com.liferay.porta
 l.kernel.model.wrapper;version="3.0",com.liferay.portal.kernel.module
 .configuration;version="2.1",com.liferay.portal.kernel.module.framewo
 rk;version="1.4",com.liferay.portal.kernel.notifications;version="9.0
 ",com.liferay.portal.kernel.plugin;version="7.0",com.liferay.portal.k
 ernel.poller;version="7.0",com.liferay.portal.kernel.pop;version="7.0
 ",com.liferay.portal.kernel.portlet;version="20.0",com.liferay.portal
 .kernel.portlet.bridges.mvc;version="6.0",com.liferay.portal.kernel.p
 ortlet.configuration.icon;version="3.0",com.liferay.portal.kernel.por
 tlet.url.builder;version="1.1",com.liferay.portal.kernel.repository.m
 odel;version="11.1",com.liferay.portal.kernel.resource.bundle;version
 ="1.0",com.liferay.portal.kernel.scheduler;version="10.2",com.liferay
 .portal.kernel.search;version="17.0",com.liferay.portal.kernel.securi
 ty.access.control;version="2.0",com.liferay.portal.kernel.security.au
 th;version="5.1",com.liferay.portal.kernel.security.permission;versio
 n="6.2",com.liferay.portal.kernel.security.permission.propagator;vers
 ion="1.0",com.liferay.portal.kernel.security.permission.resource;vers
 ion="2.1",com.liferay.portal.kernel.service;version="17.0",com.lifera
 y.portal.kernel.service.change.tracking;version="1.0",com.liferay.por
 tal.kernel.service.configuration;version="1.1",com.liferay.portal.ker
 nel.service.permission;version="5.0",com.liferay.portal.kernel.servic
 e.persistence;version="16.0",com.liferay.portal.kernel.service.persis
 tence.change.tracking;version="1.4",com.liferay.portal.kernel.servlet
 ;version="11.1",com.liferay.portal.kernel.servlet.taglib.ui;version="
 8.0",com.liferay.portal.kernel.settings;version="3.2",com.liferay.por
 tal.kernel.social;version="2.0",com.liferay.portal.kernel.spring.aop;
 version="7.0",com.liferay.portal.kernel.systemevent;version="6.2",com
 .liferay.portal.kernel.template;version="14.0",com.liferay.portal.ker
 nel.theme;version="10.1",com.liferay.portal.kernel.transaction;versio
 n="8.1",com.liferay.portal.kernel.trash;version="12.0",com.liferay.po
 rtal.kernel.upgrade;version="18.1",com.liferay.portal.kernel.upload;v
 ersion="9.0",com.liferay.portal.kernel.util;version="45.0",com.lifera
 y.portal.kernel.webdav;version="10.0",com.liferay.portal.kernel.workf
 low;version="17.2",com.liferay.portal.kernel.xml;version="7.0",com.li
 feray.portal.kernel.xmlrpc;version="6.2",com.liferay.portal.model.imp
 l,com.liferay.portal.search.hits,com.liferay.portal.template;version=
 "6.0",com.liferay.portal.upgrade.registry;version="5.0",com.liferay.p
 ortal.upload;version="4.0",com.liferay.portal.util;version="36.0",com
 .liferay.portlet.asset.util.comparator,com.liferay.rss.export;version
 ="1.0",com.liferay.rss.model;version="1.0",com.liferay.rss.util;versi
 on="1.0",com.liferay.site.item.selector.criterion;version="2.0",com.l
 iferay.site.util;version="5.0",com.liferay.social.kernel.model;versio
 n="6.0",com.liferay.social.kernel.service;version="3.0",com.liferay.s
 taging;version="1.1",com.liferay.subscription.service;version="1.7",c
 om.liferay.taglib.search;version="2.0",com.liferay.taglib.security;ve
 rsion="8.1",com.liferay.taglib.util;version="14.0",com.liferay.templa
 te.info.item.capability;version="1.0",com.liferay.template.info.item.
 provider;version="1.0",com.liferay.translation.exporter;version="3.1"
 ,com.liferay.translation.info.item.provider;version="1.0",com.liferay
 .translation.model;version="2.0",com.liferay.translation.security.per
 mission;version="1.0",com.liferay.translation.service;version="1.5",c
 om.liferay.translation.url.provider;version="1.5",com.liferay.trash;v
 ersion="2.1",com.liferay.trash.kernel.model;version="5.0",com.liferay
 .trash.model;version="4.0",com.liferay.trash.service;version="2.5",co
 m.liferay.upload;version="1.2",javax.portlet,javax.portlet.annotation
 s,javax.servlet,javax.servlet.http,org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-JS-Config: /META-INF/resources/js/config.js
Liferay-Releng-App-Title: Liferay Journal
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.journal.web.internal.application.list,com
 .liferay.journal.web.internal.asset,com.liferay.journal.web.internal.
 asset.model,com.liferay.journal.web.internal.asset.util,com.liferay.j
 ournal.web.internal.change.tracking.spi.display,com.liferay.journal.w
 eb.internal.configuration,com.liferay.journal.web.internal.constants,
 com.liferay.journal.web.internal.custom.attributes,com.liferay.journa
 l.web.internal.dao.search,com.liferay.journal.web.internal.data.engin
 e.content.type,com.liferay.journal.web.internal.display.context,com.l
 iferay.journal.web.internal.display.context.helper,com.liferay.journa
 l.web.internal.editor.configuration,com.liferay.journal.web.internal.
 frontend.taglib.clay.servlet.taglib,com.liferay.journal.web.internal.
 frontend.taglib.form.navigator,com.liferay.journal.web.internal.helpe
 r,com.liferay.journal.web.internal.info.collection.provider,com.lifer
 ay.journal.web.internal.info.display.contributor.portlet,com.liferay.
 journal.web.internal.info.display.url.provider,com.liferay.journal.we
 b.internal.info.item,com.liferay.journal.web.internal.info.item.provi
 der,com.liferay.journal.web.internal.info.item.renderer,com.liferay.j
 ournal.web.internal.info.item.translator,com.liferay.journal.web.inte
 rnal.info.list.renderer,com.liferay.journal.web.internal.instance.lif
 ecycle,com.liferay.journal.web.internal.item.selector,com.liferay.jou
 rnal.web.internal.layout.display.page,com.liferay.journal.web.interna
 l.messaging,com.liferay.journal.web.internal.notifications,com.lifera
 y.journal.web.internal.portlet,com.liferay.journal.web.internal.portl
 et.action,com.liferay.journal.web.internal.portlet.configuration.icon
 ,com.liferay.journal.web.internal.portlet.route,com.liferay.journal.w
 eb.internal.portlet.template,com.liferay.journal.web.internal.search,
 com.liferay.journal.web.internal.security.permission.resource,com.lif
 eray.journal.web.internal.servlet.taglib.definition,com.liferay.journ
 al.web.internal.servlet.taglib.ui,com.liferay.journal.web.internal.se
 rvlet.taglib.util,com.liferay.journal.web.internal.social,com.liferay
 .journal.web.internal.translation.exporter,com.liferay.journal.web.in
 ternal.upgrade.registry,com.liferay.journal.web.internal.upload,com.l
 iferay.journal.web.internal.util,com.liferay.journal.web.internal.web
 dav,com.liferay.journal.web.portlet.template.dependencies,resource-ac
 tions
Provide-Capability: osgi.webresource;osgi.webresource=journal-web;vers
 ion:Version="5.0.99.hotfix-5795-7413",osgi.service;objectClass:List<S
 tring>="com.liferay.application.list.PanelApp";uses:="com.liferay.app
 lication.list",osgi.service;objectClass:List<String>="com.liferay.ass
 et.kernel.action.AssetEntryAction";uses:="com.liferay.asset.kernel.ac
 tion",osgi.service;objectClass:List<String>="com.liferay.asset.kernel
 .model.AssetRendererFactory";uses:="com.liferay.asset.kernel.model",o
 sgi.service;objectClass:List<String>="com.liferay.change.tracking.spi
 .display.CTDisplayRenderer";uses:="com.liferay.change.tracking.spi.di
 splay",osgi.service;objectClass:List<String>="com.liferay.data.engine
 .content.type.DataDefinitionContentType";uses:="com.liferay.data.engi
 ne.content.type",osgi.service;objectClass:List<String>="com.liferay.d
 ata.engine.taglib.servlet.taglib.definition.DataLayoutBuilderDefiniti
 on";uses:="com.liferay.data.engine.taglib.servlet.taglib.definition",
 osgi.service;objectClass:List<String>="com.liferay.expando.kernel.mod
 el.CustomAttributesDisplay";uses:="com.liferay.expando.kernel.model",
 osgi.service;objectClass:List<String>="com.liferay.frontend.taglib.fo
 rm.navigator.FormNavigatorEntry";uses:="com.liferay.frontend.taglib.f
 orm.navigator",osgi.service;objectClass:List<String>="com.liferay.fro
 ntend.taglib.form.navigator.context.FormNavigatorContextProvider";use
 s:="com.liferay.frontend.taglib.form.navigator.context",osgi.service;
 objectClass:List<String>="com.liferay.info.collection.provider.InfoCo
 llectionProvider";uses:="com.liferay.info.collection.provider",osgi.s
 ervice;objectClass:List<String>="com.liferay.info.display.url.provide
 r.InfoEditURLProvider";uses:="com.liferay.info.display.url.provider",
 osgi.service;objectClass:List<String>="com.liferay.info.item.provider
 .InfoItemCapabilitiesProvider";uses:="com.liferay.info.item.provider"
 ,osgi.service;objectClass:List<String>="com.liferay.info.item.provide
 r.InfoItemDetailsProvider";uses:="com.liferay.info.item.provider",osg
 i.service;objectClass:List<String>="com.liferay.info.item.provider.In
 foItemFieldValuesProvider";uses:="com.liferay.info.item.provider",osg
 i.service;objectClass:List<String>="com.liferay.info.item.provider.In
 foItemFormProvider";uses:="com.liferay.info.item.provider",osgi.servi
 ce;objectClass:List<String>="com.liferay.info.item.provider.InfoItemF
 ormVariationsProvider";uses:="com.liferay.info.item.provider",osgi.se
 rvice;objectClass:List<String>="com.liferay.info.item.provider.InfoIt
 emObjectProvider";uses:="com.liferay.info.item.provider",osgi.service
 ;objectClass:List<String>="com.liferay.info.item.provider.InfoItemObj
 ectVariationProvider";uses:="com.liferay.info.item.provider",osgi.ser
 vice;objectClass:List<String>="com.liferay.info.item.provider.InfoIte
 mPermissionProvider";uses:="com.liferay.info.item.provider",osgi.serv
 ice;objectClass:List<String>="com.liferay.info.item.renderer.InfoItem
 Renderer";uses:="com.liferay.info.item.renderer",osgi.service;objectC
 lass:List<String>="com.liferay.info.item.translator.InfoItemIdentifie
 rTranslator";uses:="com.liferay.info.item.translator",osgi.service;ob
 jectClass:List<String>="com.liferay.info.list.renderer.InfoListRender
 er";uses:="com.liferay.info.list.renderer",osgi.service;objectClass:L
 ist<String>="com.liferay.item.selector.ItemSelectorView";uses:="com.l
 iferay.item.selector",osgi.service;objectClass:List<String>="com.life
 ray.journal.util.ExportArticleHelper";uses:="com.liferay.journal.util
 ",osgi.service;objectClass:List<String>="com.liferay.journal.web.inte
 rnal.helper.JournalDDMTemplateHelper";uses:="com.liferay.journal.web.
 internal.helper",osgi.service;objectClass:List<String>="com.liferay.j
 ournal.web.internal.helper.JournalRSSHelper";uses:="com.liferay.journ
 al.web.internal.helper",osgi.service;objectClass:List<String>="com.li
 feray.journal.web.internal.messaging.CheckArticleMessageListener,com.
 liferay.portal.configuration.persistence.listener.ConfigurationModelL
 istener";uses:="com.liferay.journal.web.internal.messaging,com.lifera
 y.portal.configuration.persistence.listener",osgi.service;objectClass
 :List<String>="com.liferay.journal.web.internal.portlet.JournalPortle
 t,javax.portlet.Portlet";uses:="com.liferay.journal.web.internal.port
 let,javax.portlet",osgi.service;objectClass:List<String>="com.liferay
 .journal.web.internal.upload.ImageJournalUploadFileEntryHandler";uses
 :="com.liferay.journal.web.internal.upload",osgi.service;objectClass:
 List<String>="com.liferay.journal.web.internal.upload.ImageJournalUpl
 oadResponseHandler";uses:="com.liferay.journal.web.internal.upload",o
 sgi.service;objectClass:List<String>="com.liferay.layout.display.page
 .LayoutDisplayPageProvider";uses:="com.liferay.layout.display.page",o
 sgi.service;objectClass:List<String>="com.liferay.layout.util.LayoutC
 lassedModelUsageActionMenuContributor";uses:="com.liferay.layout.util
 ",osgi.service;objectClass:List<String>="com.liferay.portal.aop.AopSe
 rvice,com.liferay.portal.kernel.portlet.bridges.mvc.MVCActionCommand"
 ;uses:="com.liferay.portal.aop,com.liferay.portal.kernel.portlet.brid
 ges.mvc",osgi.service;objectClass:List<String>="com.liferay.portal.in
 stance.lifecycle.PortalInstanceLifecycleListener,com.liferay.portal.k
 ernel.model.ModelListener";uses:="com.liferay.portal.instance.lifecyc
 le,com.liferay.portal.kernel.model",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.kernel.editor.configuration.EditorConfigCont
 ributor";uses:="com.liferay.portal.kernel.editor.configuration",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.editor.co
 nfiguration.EditorOptionsContributor";uses:="com.liferay.portal.kerne
 l.editor.configuration",osgi.service;objectClass:List<String>="com.li
 feray.portal.kernel.notifications.UserNotificationDefinition";uses:="
 com.liferay.portal.kernel.notifications",osgi.service;objectClass:Lis
 t<String>="com.liferay.portal.kernel.notifications.UserNotificationHa
 ndler";uses:="com.liferay.portal.kernel.notifications",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.portlet.Configurat
 ionAction";uses:="com.liferay.portal.kernel.portlet",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.kernel.portlet.EditPortletP
 rovider";uses:="com.liferay.portal.kernel.portlet",osgi.service;objec
 tClass:List<String>="com.liferay.portal.kernel.portlet.FriendlyURLMap
 per";uses:="com.liferay.portal.kernel.portlet",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.kernel.portlet.FriendlyURLResolve
 r";uses:="com.liferay.portal.kernel.portlet",osgi.service;objectClass
 :List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActio
 nCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.portlet.b
 ridges.mvc.MVCRenderCommand";uses:="com.liferay.portal.kernel.portlet
 .bridges.mvc",osgi.service;objectClass:List<String>="com.liferay.port
 al.kernel.portlet.bridges.mvc.MVCResourceCommand";uses:="com.liferay.
 portal.kernel.portlet.bridges.mvc",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.kernel.portlet.configuration.icon.PortletConf
 igurationIcon";uses:="com.liferay.portal.kernel.portlet.configuration
 .icon",osgi.service;objectClass:List<String>="com.liferay.portal.kern
 el.social.SocialActivityManager";uses:="com.liferay.portal.kernel.soc
 ial",osgi.service;objectClass:List<String>="com.liferay.portal.kernel
 .template.TemplateHandler";uses:="com.liferay.portal.kernel.template"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.web
 dav.WebDAVStorage";uses:="com.liferay.portal.kernel.webdav",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.upgrade.registry.Upg
 radeStepRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi
 .service;objectClass:List<String>="com.liferay.social.kernel.model.So
 cialActivityInterpreter";uses:="com.liferay.social.kernel.model",osgi
 .service;objectClass:List<String>="com.liferay.translation.info.item.
 provider.InfoItemLanguagesProvider";uses:="com.liferay.translation.in
 fo.item.provider",soy;type=journal-web;version:Version="5.0.99.hotfix
 -5795-7413"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/data-engine))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/expando)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/friendly-url))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/frontend))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/journal)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/layout))",osgi.extender;filter:="(&(osgi.extender=jsp.ta
 glib)(uri=http://liferay.com/tld/portlet))",osgi.extender;filter:="(&
 (osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.e
 xtender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/
 tld/security))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(u
 ri=http://liferay.com/tld/site-navigation))",osgi.extender;filter:="(
 &(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))",osgi.
 extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com
 /tld/trash))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri
 =http://liferay.com/tld/ui))",osgi.extender;filter:="(&(osgi.extender
 =jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.service;filter:=
 "(objectClass=com.liferay.asset.auto.tagger.configuration.AssetAutoTa
 ggerConfigurationFactory)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.asset.display.page.portlet.AssetDisplayPageEnt
 ryFormProcessor)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.asset.display.page.portlet.AssetDisplayPageFriendlyURLP
 rovider)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.asset.display.page.service.AssetDisplayPageEntryLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.asse
 t.info.display.url.provider.AssetInfoEditURLProvider)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.asset.info.item.pr
 ovider.AssetEntryInfoItemFieldSetProvider)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetEnt
 ryLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.asset.kernel.service.AssetEntryService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.servic
 e.AssetTagLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.data.engine.rest.resource.v2_0.DataDefinitionRes
 ource$Factory)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.depot.group.provider.SiteConnectedGroupGroupProvider)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.depot.
 service.DepotEntryLocalService)";effective:=active;resolution:=option
 al,osgi.service;filter:="(objectClass=com.liferay.document.library.ke
 rnel.service.DLAppLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.document.library.kernel.service.DLAppSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.document.library.kernel.util.DLValidator)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.document.library.util.DLURL
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.dynamic.data.lists.service.DDLRecordSetLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.m
 apping.form.values.factory.DDMFormValuesFactory)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.in
 fo.item.provider.DDMFormValuesInfoFieldValuesProvider)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapp
 ing.info.item.provider.DDMStructureInfoItemFieldSetProvider)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.dat
 a.mapping.info.item.provider.DDMTemplateInfoItemFieldSetProvider)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.dynami
 c.data.mapping.security.permission.DDMPermissionSupport)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.ma
 pping.service.DDMFieldLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.dynamic.data.mapping.service.DDMStru
 ctureLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.dynamic.data.mapping.service.DDMStructureService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.dynami
 c.data.mapping.service.DDMTemplateLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.ser
 vice.DDMTemplateService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.dynamic.data.mapping.util.DDMFormValuesToFields
 Converter)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.dynamic.data.mapping.util.DDMFormValuesToMapConverter)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.d
 ata.mapping.util.DDMTemplateHelper)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.dynamic.data.mapping.util.FieldsToDD
 MFormValuesConverter)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.dynamic.data.mapping.webdav.DDMWebDAV)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.expando.info.i
 tem.provider.ExpandoInfoItemFieldSetProvider)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.exportimport.changeset.por
 tlet.action.ExportImportChangesetMVCActionCommand)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.info.display.request.
 attributes.contributor.InfoDisplayRequestAttributesContributor)";effe
 ctive:=active;resolution:=optional;cardinality:=multiple,osgi.service
 ;filter:="(objectClass=com.liferay.info.item.InfoItemServiceTracker)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.inf
 o.item.field.reader.InfoItemFieldReaderFieldSetProvider)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.info.item.provi
 der.InfoItemObjectProvider)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.info.item.renderer.InfoItemRendererTracker)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.inf
 o.search.InfoSearchClassMapperTracker)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.item.selector.ItemSelector)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.item.sel
 ector.ItemSelectorUploadResponseHandler)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.item.selector.ItemSelectorView)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.jo
 urnal.service.JournalArticleLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.journal.service.JournalArticle
 ResourceLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.journal.service.JournalArticleService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.journal.servic
 e.JournalContentSearchLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.journal.service.JournalFeedLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.journal.service.JournalFeedService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.journal.service.JournalFolderLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.journal.service.JournalFolderService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.journal.util.ExportArticleHe
 lper)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.journal.util.JournalContent)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.journal.util.JournalConverter)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.journal.util
 .JournalHelper)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.journal.web.internal.helper.JournalDDMTemplateHelper)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.journ
 al.web.internal.helper.JournalRSSHelper)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.journal.web.internal.upload.Ima
 geJournalUploadFileEntryHandler)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.journal.web.internal.upload.ImageJourna
 lUploadResponseHandler)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.layout.display.page.LayoutDisplayPageProviderTra
 cker)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.layout.page.template.info.item.capability.DisplayPageInfoItemCapab
 ility)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.layout.page.template.service.LayoutPageTemplateEntryService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.layout.
 seo.template.LayoutSEOTemplateProcessor)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.layout.service.LayoutClassedMod
 elUsageLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.configuration.persistence.upgrade.Configurat
 ionUpgradeStepFactory)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.json.JSONFactory)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.langua
 ge.Language)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.model.Portlet)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.model.Release)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.module.framework.ModuleServiceLifecycle)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.scheduler.
 SchedulerEngineHelper)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.scheduler.TriggerFactory)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.security.permission.resource.ModelResourcePermission)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 curity.permission.resource.PortletResourcePermission)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.ClassNameLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.service.CompanyLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.service.GroupLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.GroupService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.ImageLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.LayoutLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.service.LayoutSetLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 UserLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.util.FriendlyURLNormalizer)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.u
 til.Html)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.util.HtmlParser)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.util.Localization)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.util.Portal)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.rss.export.RSSExporter)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.rss.model.SyndModelFactory)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.sit
 e.util.RecentGroupManager)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.social.kernel.service.SocialActivityLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.staging.StagingGroupHelper)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.template.info.item.capability.TemplateInfo
 ItemCapability)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.template.info.item.provider.TemplateInfoItemFieldSetProv
 ider)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.translation.exporter.TranslationInfoItemFieldValuesExporterTracker
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.t
 ranslation.security.permission.TranslationPermission)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.translation.servic
 e.TranslationEntryLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.translation.url.provider.TranslationURLP
 rovider)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.trash.TrashHelper)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.trash.service.TrashEntryService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.upload.UniqueFile
 NameProvider)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.upload.UploadHandler)";effective:=active,osgi.service;filt
 er:="(objectClass=javax.servlet.ServletContext)";effective:=active,os
 gi.extender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)
 (!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaServlet;filter:
 ="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.contract;osgi.c
 ontract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.
 0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.journal.web.internal.applicati
 on.list.JournalPanelApp.xml,OSGI-INF/com.liferay.journal.web.internal
 .asset.model.JournalArticleAssetRendererFactory.xml,OSGI-INF/com.life
 ray.journal.web.internal.asset.model.JournalFolderAssetRendererFactor
 y.xml,OSGI-INF/com.liferay.journal.web.internal.asset.util.JournalArt
 icleLayoutClassedModelUsageActionMenuContributor.xml,OSGI-INF/com.lif
 eray.journal.web.internal.change.tracking.spi.display.JournalArticleC
 TDisplayRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.change
 .tracking.spi.display.JournalArticleLocalizationCTDisplayRenderer.xml
 ,OSGI-INF/com.liferay.journal.web.internal.change.tracking.spi.displa
 y.JournalFolderCTDisplayRenderer.xml,OSGI-INF/com.liferay.journal.web
 .internal.custom.attributes.JournalArticleCustomAttributesDisplay.xml
 ,OSGI-INF/com.liferay.journal.web.internal.custom.attributes.JournalF
 olderCustomAttributesDisplay.xml,OSGI-INF/com.liferay.journal.web.int
 ernal.data.engine.content.type.JournalDataDefinitionContentType.xml,O
 SGI-INF/com.liferay.journal.web.internal.editor.configuration.Journal
 ArticleContentEditorConfigContributor.xml,OSGI-INF/com.liferay.journa
 l.web.internal.editor.configuration.JournalArticleContentEditorOption
 sContributor.xml,OSGI-INF/com.liferay.journal.web.internal.editor.con
 figuration.JournalArticleDescriptionEditorConfigContributor.xml,OSGI-
 INF/com.liferay.journal.web.internal.frontend.taglib.form.navigator.J
 ournalBasicInfoFormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.we
 b.internal.frontend.taglib.form.navigator.JournalCategorizationFormNa
 vigatorEntry.xml,OSGI-INF/com.liferay.journal.web.internal.frontend.t
 aglib.form.navigator.JournalDDMStructureBasicInfoFormNavigatorEntry.x
 ml,OSGI-INF/com.liferay.journal.web.internal.frontend.taglib.form.nav
 igator.JournalDDMTemplateBasicInfoFormNavigatorEntry.xml,OSGI-INF/com
 .liferay.journal.web.internal.frontend.taglib.form.navigator.JournalD
 DMTemplateSmallImageFormNavigatorEntry.xml,OSGI-INF/com.liferay.journ
 al.web.internal.frontend.taglib.form.navigator.JournalDisplayPageForm
 NavigatorEntry.xml,OSGI-INF/com.liferay.journal.web.internal.frontend
 .taglib.form.navigator.JournalDisplayPagePreviewFormNavigatorEntry.xm
 l,OSGI-INF/com.liferay.journal.web.internal.frontend.taglib.form.navi
 gator.JournalFriendlyURLFormNavigatorEntry.xml,OSGI-INF/com.liferay.j
 ournal.web.internal.frontend.taglib.form.navigator.JournalPermissions
 FormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.web.internal.fron
 tend.taglib.form.navigator.JournalRelatedAssetsFormNavigatorEntry.xml
 ,OSGI-INF/com.liferay.journal.web.internal.frontend.taglib.form.navig
 ator.JournalScheduleFormNavigatorEntry.xml,OSGI-INF/com.liferay.journ
 al.web.internal.frontend.taglib.form.navigator.JournalSearchFormNavig
 atorEntry.xml,OSGI-INF/com.liferay.journal.web.internal.frontend.tagl
 ib.form.navigator.JournalSmallImageFormNavigatorEntry.xml,OSGI-INF/co
 m.liferay.journal.web.internal.frontend.taglib.form.navigator.Journal
 TemplateFormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.web.inter
 nal.helper.JournalDDMTemplateHelper.xml,OSGI-INF/com.liferay.journal.
 web.internal.helper.JournalRSSHelper.xml,OSGI-INF/com.liferay.journal
 .web.internal.info.collection.provider.BasicWebContentSingleFormVaria
 tionInfoCollectionProvider.xml,OSGI-INF/com.liferay.journal.web.inter
 nal.info.display.contributor.portlet.JournalArticleAssetDisplayPageFr
 iendlyURLResolver.xml,OSGI-INF/com.liferay.journal.web.internal.info.
 display.url.provider.JournalAssetInfoEditURLProvider.xml,OSGI-INF/com
 .liferay.journal.web.internal.info.item.provider.JournalArticleInfoIt
 emCapabilitiesProvider.xml,OSGI-INF/com.liferay.journal.web.internal.
 info.item.provider.JournalArticleInfoItemDetailsProvider.xml,OSGI-INF
 /com.liferay.journal.web.internal.info.item.provider.JournalArticleIn
 foItemFieldValuesProvider.xml,OSGI-INF/com.liferay.journal.web.intern
 al.info.item.provider.JournalArticleInfoItemFormProvider.xml,OSGI-INF
 /com.liferay.journal.web.internal.info.item.provider.JournalArticleIn
 foItemFormVariationsProvider.xml,OSGI-INF/com.liferay.journal.web.int
 ernal.info.item.provider.JournalArticleInfoItemLanguagesProvider.xml,
 OSGI-INF/com.liferay.journal.web.internal.info.item.provider.JournalA
 rticleInfoItemObjectProvider.xml,OSGI-INF/com.liferay.journal.web.int
 ernal.info.item.provider.JournalArticleInfoItemObjectVariationProvide
 r.xml,OSGI-INF/com.liferay.journal.web.internal.info.item.provider.Jo
 urnalArticleInfoItemPermissionProvider.xml,OSGI-INF/com.liferay.journ
 al.web.internal.info.item.renderer.JournalArticleAbstractInfoItemRend
 erer.xml,OSGI-INF/com.liferay.journal.web.internal.info.item.renderer
 .JournalArticleDDMTemplateInfoItemTemplatedRenderer.xml,OSGI-INF/com.
 liferay.journal.web.internal.info.item.renderer.JournalArticleFullCon
 tentInfoItemRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.in
 fo.item.renderer.JournalArticleTitleInfoItemRenderer.xml,OSGI-INF/com
 .liferay.journal.web.internal.info.item.translator.JournalArticleInfo
 ItemIdentifierTranslator.xml,OSGI-INF/com.liferay.journal.web.interna
 l.info.list.renderer.BulletedJournalArticleBasicInfoListRenderer.xml,
 OSGI-INF/com.liferay.journal.web.internal.info.list.renderer.InlineJo
 urnalArticleBasicInfoListRenderer.xml,OSGI-INF/com.liferay.journal.we
 b.internal.info.list.renderer.JournalArticleBorderedBasicInfoListRend
 erer.xml,OSGI-INF/com.liferay.journal.web.internal.info.list.renderer
 .NumberedJournalArticleBasicInfoListRenderer.xml,OSGI-INF/com.liferay
 .journal.web.internal.info.list.renderer.UnstyledJournalArticleBasicI
 nfoListRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.instanc
 e.lifecycle.DDMStructureModelListener.xml,OSGI-INF/com.liferay.journa
 l.web.internal.item.selector.JournalArticleItemSelectorView.xml,OSGI-
 INF/com.liferay.journal.web.internal.layout.display.page.DefaultJourn
 alArticleLayoutDisplayPageProvider.xml,OSGI-INF/com.liferay.journal.w
 eb.internal.layout.display.page.JournalArticleLayoutDisplayPageProvid
 er.xml,OSGI-INF/com.liferay.journal.web.internal.messaging.CheckArtic
 leMessageListener.xml,OSGI-INF/com.liferay.journal.web.internal.notif
 ications.JournalAddEntryUserNotificationDefinition.xml,OSGI-INF/com.l
 iferay.journal.web.internal.notifications.JournalMoveEntryFromFolderU
 serNotificationDefinition.xml,OSGI-INF/com.liferay.journal.web.intern
 al.notifications.JournalMoveEntryFromTrashUserNotificationDefinition.
 xml,OSGI-INF/com.liferay.journal.web.internal.notifications.JournalMo
 veEntryToFolderUserNotificationDefinition.xml,OSGI-INF/com.liferay.jo
 urnal.web.internal.notifications.JournalMoveEntryToTrashUserNotificat
 ionDefinition.xml,OSGI-INF/com.liferay.journal.web.internal.notificat
 ions.JournalUpdateEntryUserNotificationDefinition.xml,OSGI-INF/com.li
 feray.journal.web.internal.notifications.JournalUserNotificationHandl
 er.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.JournalEditP
 ortletProvider.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.
 JournalPortlet.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.
 action.AddDDMTemplateMVCActionCommand.xml,OSGI-INF/com.liferay.journa
 l.web.internal.portlet.action.AddDataDefinitionMVCActionCommand.xml,O
 SGI-INF/com.liferay.journal.web.internal.portlet.action.AddFeedMVCAct
 ionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.acti
 on.AddFolderMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.int
 ernal.portlet.action.AddMenuFavItemMVCActionCommand.xml,OSGI-INF/com.
 liferay.journal.web.internal.portlet.action.CompareVersionsMVCRenderC
 ommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.C
 ompareVersionsMVCResourceCommand.xml,OSGI-INF/com.liferay.journal.web
 .internal.portlet.action.CopyArticleMVCActionCommand.xml,OSGI-INF/com
 .liferay.journal.web.internal.portlet.action.CopyDDMTemplateMVCAction
 Command.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.
 CopyDataDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.journal.w
 eb.internal.portlet.action.DeleteArticleTranslationsMVCActionCommand.
 xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.DeleteAr
 ticlesAndFoldersMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web
 .internal.portlet.action.DeleteArticlesMVCActionCommand.xml,OSGI-INF/
 com.liferay.journal.web.internal.portlet.action.DeleteDDMTemplateMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.ac
 tion.DeleteDataDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.jo
 urnal.web.internal.portlet.action.DeleteFeedsMVCActionCommand.xml,OSG
 I-INF/com.liferay.journal.web.internal.portlet.action.DeleteFolderMVC
 ActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.a
 ction.DiscardArticleDraftMVCActionCommand.xml,OSGI-INF/com.liferay.jo
 urnal.web.internal.portlet.action.ExpireArticlesAndFoldersMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Ex
 pireArticlesMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.int
 ernal.portlet.action.ExportArticleMVCResourceCommand.xml,OSGI-INF/com
 .liferay.journal.web.internal.portlet.action.ExportDataDefinitionMVCR
 esourceCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.
 action.GetDDMStructureMVCResourceCommand.xml,OSGI-INF/com.liferay.jou
 rnal.web.internal.portlet.action.GetDDMTemplateMVCResourceCommand.xml
 ,OSGI-INF/com.liferay.journal.web.internal.portlet.action.ImportAndOv
 errideDataDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.journal
 .web.internal.portlet.action.ImportDataDefinitionMVCActionCommand.xml
 ,OSGI-INF/com.liferay.journal.web.internal.portlet.action.InfoPanelMV
 CResourceCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portle
 t.action.JournalConfigurationAction.xml,OSGI-INF/com.liferay.journal.
 web.internal.portlet.action.JournalPermissionAssetEntryAction.xml,OSG
 I-INF/com.liferay.journal.web.internal.portlet.action.MoveArticlesAnd
 FoldersMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal
 .portlet.action.MoveArticlesAndFoldersToTrashMVCActionCommand.xml,OSG
 I-INF/com.liferay.journal.web.internal.portlet.action.MoveFolderToTra
 shMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.port
 let.action.MoveToTrashMVCActionCommand.xml,OSGI-INF/com.liferay.journ
 al.web.internal.portlet.action.PublishArticleMVCActionCommand.xml,OSG
 I-INF/com.liferay.journal.web.internal.portlet.action.PublishFolderMV
 CActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.
 action.RSSMVCResourceCommand.xml,OSGI-INF/com.liferay.journal.web.int
 ernal.portlet.action.RefreshDDMTemplateMVCActionCommand.xml,OSGI-INF/
 com.liferay.journal.web.internal.portlet.action.RemoveMenuFavItemMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.ac
 tion.ResetValuesDDMStructureMVCActionCommand.xml,OSGI-INF/com.liferay
 .journal.web.internal.portlet.action.RestoreTrashEntriesMVCActionComm
 and.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Save
 AsDraftArticleMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.i
 nternal.portlet.action.SubscribeArticleMVCActionCommand.xml,OSGI-INF/
 com.liferay.journal.web.internal.portlet.action.SubscribeDDMStructure
 MVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portle
 t.action.SubscribeFolderMVCActionCommand.xml,OSGI-INF/com.liferay.jou
 rnal.web.internal.portlet.action.UnsubscribeArticleMVCActionCommand.x
 ml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Unsubscri
 beDDMStructureMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.i
 nternal.portlet.action.UnsubscribeFolderMVCActionCommand.xml,OSGI-INF
 /com.liferay.journal.web.internal.portlet.action.UpdateArticleMVCActi
 onCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.actio
 n.UpdateDDMTemplateMVCActionCommand.xml,OSGI-INF/com.liferay.journal.
 web.internal.portlet.action.UpdateDataDefinitionMVCActionCommand.xml,
 OSGI-INF/com.liferay.journal.web.internal.portlet.action.UpdateDataEn
 gineDefaultValuesMVCActionCommand.xml,OSGI-INF/com.liferay.journal.we
 b.internal.portlet.action.UpdateFeedMVCActionCommand.xml,OSGI-INF/com
 .liferay.journal.web.internal.portlet.action.UpdateFolderMVCActionCom
 mand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Upd
 ateWorkflowDefinitionsMVCActionCommand.xml,OSGI-INF/com.liferay.journ
 al.web.internal.portlet.action.UploadImageMVCActionCommand.xml,OSGI-I
 NF/com.liferay.journal.web.internal.portlet.configuration.icon.FeedsP
 ermissionsPortletConfigurationIcon.xml,OSGI-INF/com.liferay.journal.w
 eb.internal.portlet.configuration.icon.ImportDataDefinitionPortletCon
 figurationIcon.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.
 configuration.icon.ImportTranslationPortletConfigurationIcon.xml,OSGI
 -INF/com.liferay.journal.web.internal.portlet.configuration.icon.Jour
 nalDDMTemplateExportScriptConfigurationIcon.xml,OSGI-INF/com.liferay.
 journal.web.internal.portlet.configuration.icon.JournalDDMTemplateImp
 ortScriptConfigurationIcon.xml,OSGI-INF/com.liferay.journal.web.inter
 nal.portlet.configuration.icon.ViewSourcePortletConfigurationIcon.xml
 ,OSGI-INF/com.liferay.journal.web.internal.portlet.route.JournalFrien
 dlyURLMapper.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.te
 mplate.JournalTemplateHandler.xml,OSGI-INF/com.liferay.journal.web.in
 ternal.security.permission.resource.DDMStructurePermission.xml,OSGI-I
 NF/com.liferay.journal.web.internal.security.permission.resource.DDMT
 emplatePermission.xml,OSGI-INF/com.liferay.journal.web.internal.secur
 ity.permission.resource.JournalArticlePermission.xml,OSGI-INF/com.lif
 eray.journal.web.internal.security.permission.resource.JournalFeedPer
 mission.xml,OSGI-INF/com.liferay.journal.web.internal.security.permis
 sion.resource.JournalFolderPermission.xml,OSGI-INF/com.liferay.journa
 l.web.internal.security.permission.resource.JournalPermission.xml,OSG
 I-INF/com.liferay.journal.web.internal.servlet.taglib.definition.Jour
 nalDataLayoutBuilderDefinition.xml,OSGI-INF/com.liferay.journal.web.i
 nternal.servlet.taglib.ui.JournalFormNavigatorContextProvider.xml,OSG
 I-INF/com.liferay.journal.web.internal.social.JournalArticleActivityI
 nterpreter.xml,OSGI-INF/com.liferay.journal.web.internal.social.Journ
 alArticleSocialActivityManager.xml,OSGI-INF/com.liferay.journal.web.i
 nternal.social.JournalFolderActivityInterpreter.xml,OSGI-INF/com.life
 ray.journal.web.internal.translation.exporter.TranslationInfoItemFiel
 dValuesExporterTrackerUtil.xml,OSGI-INF/com.liferay.journal.web.inter
 nal.upgrade.registry.JournalWebUpgradeStepRegistrator.xml,OSGI-INF/co
 m.liferay.journal.web.internal.upload.ImageJournalUploadFileEntryHand
 ler.xml,OSGI-INF/com.liferay.journal.web.internal.upload.ImageJournal
 UploadResponseHandler.xml,OSGI-INF/com.liferay.journal.web.internal.u
 til.ExportArticleHelperImpl.xml,OSGI-INF/com.liferay.journal.web.inte
 rnal.util.JournalHelperUtil.xml,OSGI-INF/com.liferay.journal.web.inte
 rnal.util.RecentGroupManagerUtil.xml,OSGI-INF/com.liferay.journal.web
 .internal.webdav.JournalWebDAVStorageImpl.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /journal-web

